org.apache.maven.plugin

## Interface PluginMappingManager

- All Known Implementing Classes:
    DefaultPluginMappingManager

      public interface PluginMappingManager

  Manage plugin prefix to artifact ID mapping associations.
  Version:
    $Id: PluginMappingManager.java 640549 2008-03-24 20:05:11Z bentmann $
  Author:
    Brett Porter

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Plugin` | `getByPrefix(java.lang.String pluginPrefix, java.util.List groupIds, java.util.List pluginRepositories, ArtifactRepository localRepository)`

- - ### Method Detail

    - #### getByPrefix

          Plugin getByPrefix(java.lang.String pluginPrefix,
                           java.util.List groupIds,
                           java.util.List pluginRepositories,
                           ArtifactRepository localRepository)